Subject: Re: [ANNOUNCE] Git v2.11.0-rc0

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 1 Nov 2016 10:07:26 +0100

Hi Junio,

On Mon, Oct 31, 2016 at 02:49:42PM -0700, Junio C Hamano wrote:
[snip]
>  * In some projects, it is common to use "[RFC PATCH]" as the subject
>    prefix for a patch meant for discussion rather than application.  A
>    new option "--rfc" was a short-hand for "--subject-prefix=RFC PATCH"
                        ~~~
>    to help the participants of such projects.

This should probably be 'A new option "--rfc" was introduced as a
short-hand for…' or similar.

>  * When given an abbreviated object name that is not (or more
>    realistically, "no longer") unique, we gave a fatal error
>    "ambiguous argument".  This error is now accompanied by hints that
>    lists the objects that begins with the given prefix.  During the
>    course of development of this new feature, numerous minor bugs were
>    uncovered and corrected, the most notable one of which is that we
>    gave "short SHA1 xxxx is ambiguous." twice without good reason.

I think "This error is now accompanied by a hint that lists the
objects beginning with the given prefix." would be grammatically
more correct.

>  * "git diff -W" output needs to extend the context backward to
>    include the header line of the current function and also forward to
>    include the body of the entire current function up to the header
>    line of the next one.  This process may have to merge to adjacent
                                                           ~~
>    hunks, but the code forgot to do so in some cases.

This should probably be "_two_ adjacent hunks".

>  * In a worktree connected to a repository elsewhere, created via "git
>    worktree", "git checkout" attempts to protect users from confusion
>    by refusing to check out a branch that is already checked out in
>    another worktree.  However, this also prevented checking out a
>    branch, which is designated as the primary branch of a bare
>    reopsitory, in a worktree that is connected to the bare
     ~~~~~~~~~~
>    repository.  The check has been corrected to allow it.

There's a typo here in "reopsitory".

Regards
Patrick Steinhardt